# GoogleGridedLineChart Class Reference

Inheritance diagram for GoogleGridedLineChart:
[legend]

List of all members.

## Public Member Functions

| setGrid (GoogleChartGrid $grid)
| getGrid ()
| toString ()

## Static Public Member Functions

static | create ()

## Private Member Functions

| createDefault ()

## Private Attributes

| $grid = null

## Detailed Description

Definition at line 15 of file GoogleGridedLineChart.class.php.

## Member Function Documentation

static GoogleGridedLineChart::create | ( |  | ) | `[static]`

Returns:
  GoogleGridedLineChart

Reimplemented from GoogleNormalizedLineChart.

Definition at line 22 of file GoogleGridedLineChart.class.php.

Referenced by createDefault().

GoogleGridedLineChart::createDefault | ( |  | ) | `[private]`

Returns:
  GoogleGridedLineChart

Definition at line 60 of file GoogleGridedLineChart.class.php.

References GoogleChart::$label, create(), GoogleChart::getData(), and GoogleChartAxisType::X.

Referenced by toString().

Here is the call graph for this function:

GoogleGridedLineChart::getGrid | ( |  | ) |

Returns:
  GoogleChartGrid

Definition at line 40 of file GoogleGridedLineChart.class.php.

GoogleGridedLineChart::setGrid | ( | GoogleChartGrid $ | grid | ) |

Returns:
  GoogleGridedLineChart

Definition at line 30 of file GoogleGridedLineChart.class.php.

GoogleGridedLineChart::toString | ( |  | ) |

Reimplemented from GoogleLineChart.

Definition at line 45 of file GoogleGridedLineChart.class.php.

References createDefault().

Here is the call graph for this function:

## Member Data Documentation

GoogleGridedLineChart::$grid = null`[private]`

Definition at line 17 of file GoogleGridedLineChart.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleGridedLineChart.class.php